Fedora Core 3 2005-000: cups

2006-01-11T00:00:00
ID FEDORA_2005-000.NASL
Type nessus
Reporter Tenable
Modified 2016-05-26T00:00:00

Description

The remote host is missing the patch for the advisory FEDORA-2005-000 (cups).

The Common UNIX Printing System provides a portable printing layer for UNIX(r) operating systems. It has been developed by Easy Software Products to promote a standard printing solution for all UNIX vendors and users. CUPS provides the System V and Berkeley command-line interfaces.

Update Information:

This update fixes the pdftops filter's handling of some incorrectly-formed PDF files. Issues fixed are CVE-2005-3625, CVE-2005-3626, and CVE-2005-3627.

                                        
                                            # @DEPRECATED@
#
# This script has been deprecated as the associated advisory is not
# security-related.
#
# Disabled on 2012/09/30.
#

#
# (C) Tenable Network Security, Inc.
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);

include("compat.inc");

if(description)
{
 script_id(20396);
 script_version ("$Revision: 1.9 $");
 script_cvs_date("$Date: 2016/05/26 16:04:30 $");
 script_cve_id("CVE-2005-3627");
 
 name["english"] = "Fedora Core 3 2005-000: cups";
 
 script_name(english:name["english"]);
 
 script_set_attribute(attribute:"synopsis", value:
"The remote host is missing a vendor-supplied security patch" );
 script_set_attribute(attribute:"description", value:
"The remote host is missing the patch for the advisory FEDORA-2005-000 (cups).

The Common UNIX Printing System provides a portable printing layer for
UNIX(r) operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.

Update Information:

This update fixes the pdftops filter's handling of some
incorrectly-formed PDF files.  Issues fixed are
CVE-2005-3625, CVE-2005-3626, and CVE-2005-3627." );
 script_set_attribute(attribute:"solution", value:
"Get the newest Fedora Updates" );
 script_set_cvss_base_vector("CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P");




 script_set_attribute(attribute:"plugin_publication_date", value: "2006/01/11");
 script_end_attributes();

 
 summary["english"] = "Check for the version of the cups package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2006-2016 Tenable Network Security, Inc.");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

# Deprecated.
exit(0, "The associated advisory is not security-related.");


include("rpm.inc");
if ( rpm_check( reference:"cups-1.1.22-0.rc1.8.9", release:"FC3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"cups-devel-1.1.22-0.rc1.8.9", release:"FC3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"cups-libs-1.1.22-0.rc1.8.9", release:"FC3") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_exists(rpm:"cups-", release:"FC3") )
{
 set_kb_item(name:"CVE-2005-3627", value:TRUE);
}